| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::gapi::ie::Params< Net > Class Template Reference

`#include <opencv2/gapi/infer/ie.hpp>`

## Public Member Functions
| Params (const std::string &model, const std::string &weights, const std::string &device)
GBackend | backend () const
Params< Net > & | cfgInputLayers (const typename PortCfg< Net >::In &ll)
Params< Net > & | cfgOutputLayers (const typename PortCfg< Net >::Out &ll)
Params< Net > & | constInput (const std::string &layer_name, const cv::Mat &data, TraitAs hint=TraitAs::TENSOR)
cv::util::any | params () const
std::string | tag () const

## Protected Attributes
detail::ParamDesc | desc

## Constructor & Destructor Documentation

## ◆ Params()

template<typename Net >

cv::gapi::ie::Params< Net >::Params | ( | const std::string & | model,
|  | const std::string & | weights,
|  | const std::string & | device
| ) |  |
| inline

## Member Function Documentation

## ◆ backend()

template<typename Net >

GBackend cv::gapi::ie::Params< Net >::backend | ( |  | ) | const
| inline

## ◆ cfgInputLayers()

template<typename Net >

Params<Net>& cv::gapi::ie::Params< Net >::cfgInputLayers | ( | const typename PortCfg< Net >::In & | ll | ) |
| inline

## ◆ cfgOutputLayers()

template<typename Net >

Params<Net>& cv::gapi::ie::Params< Net >::cfgOutputLayers | ( | const typename PortCfg< Net >::Out & | ll | ) |
| inline

## ◆ constInput()

template<typename Net >

Params<Net>& cv::gapi::ie::Params< Net >::constInput | ( | const std::string & | layer_name,
|  | const cv::Mat & | data,
|  | TraitAs | hint = `TraitAs::TENSOR`
| ) |  |
| inline

## ◆ params()

template<typename Net >

cv::util::any cv::gapi::ie::Params< Net >::params | ( |  | ) | const
| inline

## ◆ tag()

template<typename Net >

std::string cv::gapi::ie::Params< Net >::tag | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ desc

template<typename Net >

detail::ParamDesc cv::gapi::ie::Params< Net >::desc
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/ie.hpp